seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2017/10/23, 09:47:58


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Can't install virutualenv  (Read 678 times)

0 Members and 1 Guest are viewing this topic.

Offline oneself

  • User
  • Posts: 58
Can't install virutualenv
« on: 2016/02/06, 22:33:25 »
Hi,


I'm trying to install virutalenv but there seems to be a weird dependency that cannot be satisfied.
virtualenv requires python3-virtualenv
python3-virtualenv requires both python-setuptools-whl and python-pip-whl but they cannot be installed together.


When I install one, it removes the other and vice versa.
There are 10 types of people, those who know binary and those who don't.

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.007
Re: Can't install virutualenv
« Reply #1 on: 2016/02/07, 20:36:09 »
You probably need to wait a little bit, there seems to be some disruptive changes to python.


greetz
devil

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 1.960
    • g-com.eu
Re: Can't install virutualenv
« Reply #2 on: 2016/02/07, 21:56:41 »

$ sudo apt install python3-virtualenv python-pip-whl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 python3-virtualenv : Depends: python-setuptools-whl but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

$ sudo apt install python-setuptools-whl python-pip-whl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
python-setuptools-whl is already the newest version (18.8-1).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 python-pip-whl : Breaks: python-setuptools-whl (<= 18.8-1) but 18.8-1 is to be installed


Catch 22 - i would suggest to write a bug against python-setuptools-whl or python-pip-whl or both at your wish.
All you need in this life is ignorance and confidence; then success is sure.   -- Mark Twain, 1887
Never attribute to malice that which can be adequately explained by stupidity.  -- Hanlons razor

Offline oneself

  • User
  • Posts: 58
Re: Can't install virutualenv
« Reply #3 on: 2016/02/07, 22:39:16 »
Thank you for your help.  It's good to know that it's not just an issue with my system.


Where's the best place to file a bug for this?  Should I file with Siduction or somewhere else?
There are 10 types of people, those who know binary and those who don't.

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 1.960
    • g-com.eu
Re: Can't install virutualenv
« Reply #4 on: 2016/02/07, 23:07:28 »
this is upstream aka debian - you should use reportbug for it, it is installed in a standard siduction installation
All you need in this life is ignorance and confidence; then success is sure.   -- Mark Twain, 1887
Never attribute to malice that which can be adequately explained by stupidity.  -- Hanlons razor